Bug 1253793 - The new Gui in Satellite 5.7 is causing the layout to incorrectly be displayed in IE8
The new Gui in Satellite 5.7 is causing the layout to incorrectly be displaye...
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Grant Gainey
Red Hat Satellite QA List
Depends On: 1231712
Blocks: space24
  Show dependency treegraph
Reported: 2015-08-14 13:43 EDT by Grant Gainey
Modified: 2015-10-08 09:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: spacewalk-java-2.4.76-1 spacewalk-web-2.4.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1231712
Last Closed: 2015-10-08 09:26:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Grant Gainey 2015-08-14 13:43:18 EDT
+++ This bug was initially created as a clone of Bug #1231712 +++

Description of problem:
After upgrading Satellite 5.6 to Satellite 5.7 the web gui in Satellite 5.7 doesn't  look right in IE8
This seems to be the same issue as described in https://access.redhat.com/solutions/1360823, but the provided solution doesn't seem to work for Satellite 5.7 and IE8.

Version-Release number of selected component (if applicable):
Satellite 5.7

How reproducible:

Steps to Reproduce:
1. Install or upgrade to Satellite 5.7.
2. Open the web gui with Internet Explorer 8

Actual results:
The new web gui, which is introduced with Satellite 5.7 doesn't display correctly. The tabs are not visible and the menus are not in the right place.

Expected results:

Additional info:
Issue reproduced by upgrading a Satellite 5.6 to Satellite 5.7 and appling the errata. Then using a Window 7 system which comes with IE8 (8.07601.17514).

--- Additional comment from Jan Dobes on 2015-07-16 07:14:39 EDT ---

some IE problems are fixed in Spacewalk master from pull request:


--- Additional comment from Shannon Hughes on 2015-07-16 15:37:42 EDT ---

i opened http://bugzilla.redhat.com/show_bug.cgi?id=1243992 but this one might be a duplicate. jdobes, the patch you have in pull 259 fixed the issue in /var/lib/tomcat6/webapps/rhn/WEB-INF/decorators/layout_head.jsp that I was seeing.

--- Additional comment from Grant Gainey on 2015-08-10 16:31:35 EDT ---

The problem in 1243992 is not the same. '3992 can be summed up as "pages with edit-areas break under IE10 and 11". This BZ is "5.7 webui is broken under IE8 on Win7". The fix for '3992 doesn't help with IE8.

The issue here is that bootstrap and IE8 do not like each other. As noted here:


running under IE8 requires respond.js. The required HTML can be seen here:


  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>

Applying that change fixes the left-nav breakage that can be seen in the attached screenshots.  HOWEVER - it breaks the edit-area pages, such that attempting to load them results in IE8 getting stuck in a loop that eats memory until the app runs out and falls over.

Investigation continues.
Comment 1 Grant Gainey 2015-08-14 13:50:41 EDT
respond.js and the ACE editor do not like each other. Arranging for the ACE editor to not appear under IE8 resolved the looping issue.

This commit adds the recommended IE8 bootstrap shims, and protects IE8 from the ACE editor.

spacewalk.commit 75b2a8a2f9a9d4c1a7b28ae02519f98678476600
Comment 2 Grant Gainey 2015-09-21 14:51:43 EDT
catalina.jsp and snippetview.jsp also affected by IE8/bootstrap/aceeditor issue.

spacewalk.commit: 764c2cdc50b8d8508ed6e8d292852c21c75427b9
Comment 3 Jan Dobes 2015-10-08 09:26:15 EDT
Spacewalk 2.4 has been released.

Note You need to log in before you can comment on or make changes to this bug.